name: tetraq
description: A new Flutter project.
publish_to: 'none'
version: 1.1.3+5
environment:
  sdk: ^3.10.7

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.8

  # I nostri "Superpoteri"
  provider: ^6.1.2             # Per gestire lo stato (Temi, Punteggi)
  shared_preferences: ^2.5.4   # Per salvare opzioni e record sul telefono
  audioplayers: ^5.2.1         # Per la musica e gli effetti sonori
  intl: ^0.20.2                # Necessario per le traduzioni
  flutter_localizations:       # Il sistema multilingua ufficiale
    sdk: flutter
  firebase_core: ^4.4.0
  firebase_auth: ^6.1.4       # <--- NUOVO: LA CORAZZA DI SICUREZZA!
  cloud_firestore: ^6.1.2
  share_plus: ^12.0.1
  app_links: ^7.0.0
  google_fonts: ^8.0.2
  font_awesome_flutter: ^10.12.0
  firebase_app_check: ^0.4.1+5

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  flutter_launcher_icons: ^0.13.1
  change_app_package_name: ^1.5.0

flutter:
  uses-material-design: true

  # Abilita la generazione automatica delle traduzioni
  generate: true

  # Dichiariamo le cartelle dove metteremo immagini e suoni
  assets:
    - assets/images/
    - assets/audio/bgm/
    - assets/audio/sfx/
    - assets/audio/


flutter_icons:
  android: "ic_launcher"
  ios: true
  macos:
    generate: true
  image_path: "assets/icon/icona_master.png"
  min_sdk_android: 21 # Serve per compatibilità con Android recenti